The create command is used to provision a new instance.
JSON Input Data Format

    {
        cloudid: string,
        name: string,
        boot: string,
        mac: string,
        network: string,
        cpu: integer,
        ram: integer,
        disk: integer,
        gpu: string,
        driver: string,
        sound: boolean,
        tpm: boolean
    }

cloudid * | Specifies the cloud ID where the instance will be provisioned.
name * | Specifies a name for the instance.
boot * | Specifies the boot image. The following options define how the instance will boot: network Boots the instance using PXE Network boot mode. hd Boots the instance from the hard drive. vm-isoname Boots the instance from the specified ISO image.
mac | Specifies the MAC address for the network device of the instance. If not provided, a new MAC address is generated.
network | Specifies the network for the instance, which defaults to xcNET.
cpu | Specifies the number of CPU cores allocated to the instance, which defaults to 1.
ram | Specifies the amount of RAM allocated in gigabytes to the instance, which defaults to 1.
disk | Specifies the amount of disk space allocated in gigabytes to the instance, which defaults to 15.
gpu | Specifies whether a GPU device is added to the instance, which defaults to vga. The following options define the type of GPU device that can be added: vga No GPU device is added. gpu This is an emulated GPU device that supports 2D rendering and utilizes Mesa or SwiftShader software for 3D rendering. spice This device is optimized for the Spice protocol, providing high-quality remote desktop delivery. uuid of vGPU device This is an Nvidia vGPU device configured on the Sky Node, ideal for CAD/CAE/AI workloads, and it provides high-quality remote desktop delivery. You can find more information on configuring Nvidia vGPU on your Sky Node here:: GPU for Instances.
driver | Specifies the paravirtualization driver for the instance, which defaults to driver-none. The following options define the paravirtualization driver: driver-none No paravirtualization driver will be used. driver-virtio The virtio paravirtualization driver will be used.
sound | Specifies whether a sound device is added to the instance.
tpm | Specifies whether a secure boot device is added to the instance.

* Indicates a mandatory field.

Code Snippets
Here are several code snippets provided for your direct use. Simply select your preferred tool/language by clicking on it.
Successful Response

    {
        "result": "OK",
        "payload": "The process was successfully completed",
        "id": "V7vm-6ad2e304-xxxx-xxxx-xxxx-7f43xxxx5b7f"

     }

Failed Response

    {
        "result": "ERR",
        "message": "Error message ..."
    }